Create a new sessionpost https://api.sandbox.withreach.com/v1/sessionBody ParamsSession object that needs to be created.MerchantReferencestringrequiredlength ≥ 1Unique identifier provided by merchant.Currencystringrequiredlength between 3 and 3Three-character ISO-4217 currency code used to process the payment.Itemsarray of objectsrequiredList of items to be paid. At least one Item must be supplied.Items*ADD objectAutoCapturebooleanrequiredIndicator used to determine if an Order is auto captured after authorization.truefalseCompleteUrlstringrequiredlength ≥ 1Merchant URL to redirect a user to upon completion at a third party payment processor. This may contain "{SessionId}" anywhere in the string to have the SessionId embedded in the url.CancelUrlstringrequiredlength ≥ 1Merchant URL to redirect a user to after cancelling on a third party payment processor. This may contain "{SessionId}" anywhere in the string to have the SessionId embedded in the url.ViaAgentbooleanIndicates that this Session is being made by an agent, and not the end consumer. If false or not present, the Session is assumed to be placed by the end consumer.truefalseBillingProfileIduuidlength between 36 and 36Corresponds to the BillingProfileId returned in a BillingProfile. Can be passed in to reference an existing billing profile instead of creating a new one. Exactly one of BillingProfile, BillingProfileId or BillingprofileReference are required.BillingProfileReferencestringlength ≥ 1Merchant supplied reference that uniquely maps to a BillingProfile. Can be passed in to reference an existing BillingProfile. Exactly one of BillingProfile, BillingProfileId or BillingprofileReference are required.BillingProfileobjectBilling details associated with the payment. Some fields may be required or optional depending on the Country in BillingProfile.Address. See: https://docs.withreach.com/reference/country-specific-fields-1BillingProfile objectShippingDetailsobjectCustomer's shipping details. This is required if physical goods are shipped along with the order.ShippingDetails objectTaxAmountnumberTaxes for the entire order. Currency is defined by parent object.Discountsarray of objectsDiscountsADD objectRateOfferIduuidlength between 36 and 36The 36 character GUID for a guaranteed foreign exchange rate. If omitted, the rate will be determined at the time of settlement.MetaobjectAny optional metadata to be included. Can be a simple reference ID or some complex object containing multiple values, as long as it is valid JSON.Meta objectAllowContractbooleanOverrides the merchant AllowContract setting to permit users creation of a contract (used for recurring billing, subscriptions, stored payment options, etc.) when submitting their payment.truefalseOpenContractbooleanFlag to tell that the payment is to be used to start a subscription and if successful will automatically create a contract.truefalseTaxQuoteIdstringlength ≥ 1Unique Tax Quote Id provided by merchant, Id recieved from calling the Reach Quote API.Responses 200Operation Successful 400Invalid request 401Authentication Required 403Unauthorized 409Duplicate merchant reference ID 415Unsupported Media Type 500Internal Server ErrorUpdated 8 months ago